/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.mb;

import java.io.Serializable;
import java.util.List;
import javax.annotation.PostConstruct;
import javax.enterprise.context.ConversationScoped;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.context.SessionScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;
import silab.nst.jsf.domen.Kupac;
import silab.nst.jsf.domen.KupacFizickoLice;
import silab.nst.jsf.domen.KupacPravnoLice;
import silab.nst.jsf.domen.Mesto;
import silab.nst.jsf.service.KupacService;
import silab.nst.jsf.service.MestoService;

/**
 *
 * @author student
 */
@Named
@SessionScoped
public class MBObradaPartnera implements Serializable{
    
    private Kupac kupac;
    
    private List<Mesto> listaMesta;

    @Inject 
    KupacService kupacService;
    
    @Inject
    MestoService mestoService;
    
    
    Integer tipLica;
    
    
    public MBObradaPartnera() {
        kupac = new KupacPravnoLice();
        
    }
    
    
    @PostConstruct
    public void init(){
        listaMesta = mestoService.vratiSvaMesta();
        tipLica  =1;
    }
    
    

    public Kupac getKupac() {
        return kupac;
    }

    public void setKupac(Kupac kupac) {
        this.kupac = kupac;
    }

    

    public List<Mesto> getListaMesta() {
        return listaMesta;
    }

    public void setListaMesta(List<Mesto> listaMesta) {
        this.listaMesta = listaMesta;
    }
    
    
    public String sacuvajKupca(){
        
        kupacService.persist(kupac);
        //System.out.println("Mesto:"+kupac.getMesto().getNaziv());
        FacesContext.getCurrentInstance().addMessage(null, new FacesMessage("Kupac je uspesno sacuvan!!!"));
        return null;
    }

    public Integer getTipLica() {
        return tipLica;
    }

    public void setTipLica(Integer tipLica) {
        this.tipLica = tipLica;        
    }
    
    public void promenioSeTipLica(){
        if (tipLica==1){
            kupac = new KupacPravnoLice();
        } else {
            kupac = new KupacFizickoLice();
        }
    }
    
    
}
