/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.mb;

import java.io.Serializable;
import javax.enterprise.context.RequestScoped;
import javax.enterprise.context.SessionScoped;
import javax.faces.application.FacesMessage;
import javax.faces.context.FacesContext;
import javax.inject.Inject;
import javax.inject.Named;
import silab.nst.jsf.domen.User;
import silab.nst.jsf.service.UserService;

/**
 *
 * @author student
 */

@Named(value = "mbPrijava")
@SessionScoped
public class MBPrijavaNaSistem implements Serializable{
    
    
    @Inject 
    UserService userService;
    
    String username;
    String password;
    
    User prijavljeniKorisnik;

    public MBPrijavaNaSistem() {
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public User getPrijavljeniKorisnik() {
        return prijavljeniKorisnik;
    }

    public void setPrijavljeniKorisnik(User prijavljeniKorisnik) {
        this.prijavljeniKorisnik = prijavljeniKorisnik;
    }

    
    
    
    
    
    public String prijaviKorisnika(){
        
        User userDB = userService.prijaviKorisnika(username, password);
        
        if (userDB==null){
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_ERROR, "Korisnik nije autentifikovan.","detalji poruke"));
            return null;
        } else {
            prijavljeniKorisnik = userDB;
            FacesContext.getCurrentInstance().addMessage(null, new FacesMessage(FacesMessage.SEVERITY_INFO, "Korisnik je autentifikovan.","detalji poruke"));
            return "glavnaStrana.xhtml";
        }
//        return null;
    }
    
}
