/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package silab.nst.jsf.service;

import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.annotation.Resource;
import javax.enterprise.context.RequestScoped;
import javax.faces.validator.LongRangeValidator;
import javax.inject.Named;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;
import silab.nst.jsf.domen.Mesto;

/**
 *
 * @author student
 */

@Named
@RequestScoped
public class MestoService {

    
    @PersistenceContext(unitName = "JSF_NST_I_CASPU")
    private EntityManager em;
    @Resource
    private javax.transaction.UserTransaction utx;

    public void sacuvajMesto(Mesto mesto) {
        try {
            utx.begin();
            em.persist(mesto);
            utx.commit();
        } catch (Exception e) {
            Logger.getLogger(getClass().getName()).log(Level.SEVERE, "exception caught", e);
            throw new RuntimeException(e);
        }
    }
    
    public List<Mesto> vratiSvaMesta() {
        try {
            utx.begin();
            List<Mesto> listaMesta = em.createQuery("Select m from Mesto m").getResultList();
            utx.commit();
            return listaMesta;
            
            
        } catch (Exception e) {
            Logger.getLogger(getClass().getName()).log(Level.SEVERE, "exception caught", e);
            throw new RuntimeException(e);
        }
        
        
    }
    
    
    public Mesto vratiMesto(Long ptt) {
        try {
            utx.begin();
            Mesto mesto = em.find(Mesto.class, ptt);
            utx.commit();
            return mesto;
            
            
        } catch (Exception e) {
            Logger.getLogger(getClass().getName()).log(Level.SEVERE, "exception caught", e);
            throw new RuntimeException(e);
        }
        
        
    }
    
    
    
    
    
}
